﻿/*#region Theme */

[data-theme="light"] {
    --color-SLIDDES-blue: #26b6f6;
    --color-SLIDDES-black: #000000;
    --color-SLIDDES-codegreen: #00f29b;
    --color-SLIDDES-dark: #1a1a1a;
    --color-SLIDDES-gray: #6b6b6b;
    --color-SLIDDES-limegreen: #0606;
    --color-SLIDDES-whitegray: #e6e6e6;
    --color-SLIDDES-white: #ffffff;
    /*color*/
    --color-ffffff: #ffffff; /*white*/
    --color-fafafa: #fafafa; /*white-light*/
    --color-222222: #222222; /*dark*/
}

[data-theme="dark"] {
    --color-SLIDDES-codegreen: #00f29b;
    --color-SLIDDES-blue: #26b6f6;
    --color-SLIDDES-black: #ffffff;
    --color-SLIDDES-dark: #f1f1f1;
    --color-SLIDDES-gray: #b6b6b6;
    --color-SLIDDES-limegreen: #0606;
    --color-SLIDDES-whitegray: #e6e6e6;
    --color-SLIDDES-white: #000000;
    /*color*/
    --color-ffffff: #000000;
    --color-fafafa: #050505;
    --color-222222: #DDDDDD;
}

#theme-switcher 
{
    width: 100%;
    height: 100%;
    background-color: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    background: url(../images/sliddes/sliddes_logo.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 48px;
    transition: 0.5s ease-in-out;
}

#theme-switcher:hover 
{
    transform: scale(1.1);
}

/*#endregion Theme*/

/*#region Html*/

html {
    height: 100%;
    font-family: 'Roboto-Regular', Verdana, Arial, Helvetica, sans-serif;
    font-size: 16px;
    scroll-behavior: smooth;
}

@font-face 
{
    font-family: 'Roboto-Regular';
    src: url("../fonts/Roboto-Regular.woff2"), url("../fonts/Roboto-Regular.woff");
    font-weight: 400;
}

@font-face 
{
    font-family: 'Roboto-Thin';
    src: url("../fonts/Roboto-Thin.woff2"), url("../fonts/Roboto-Thin.woff");
    font-weight: 100;
}


@font-face 
{
    font-family: 'Roboto-Medium';
    src:url("../fonts/Roboto-Medium.woff2"), url("../fonts/Roboto-Medium.woff");
    font-weight: 500;
}

header {
    display: flex;
    justify-content: center;
    background-color: var(--color-SLIDDES-white);
    border-bottom: 1px solid var(--color-SLIDDES-whitegray);
}

body {
    height: 100%;
    min-height: 100vh;
    margin: 0 !important;
    padding: 0 !important;
    position: relative;
    overflow-x: hidden;
    background-color: var(--color-fafafa);
}

h1 /* Title of a page */ {
    color: var(--color-222222);
    margin: 8px 0px 8px 0px;
    font-family: 'Roboto-Medium';
    font-size: 1.6rem;
    font-weight: normal;
    letter-spacing: 0.1rem;
    line-height: 1.6rem;
}

h2 /* Subtitle 2 */ {
    color: var(--color-222222);
    margin: 8px 0px 8px 0px;
    font-family: 'Roboto-Medium';
    font-size: 1.4rem;
    font-weight: normal;
    letter-spacing: 0.1rem;
    line-height: 1.4rem;
}

h3 {
    color: var(--color-222222);
}

li {
    color: var(--color-SLIDDES-black);
}

p {
    margin: 16px 0px 16px 0px;
    color: var(--color-222222);
    font-size: 1rem;
    line-height: 1.6rem;
}

a {
    color: var(--color-SLIDDES-blue);
    text-decoration: none;
}

    a:hover {
        text-decoration: underline;
    }

/*#endregion Html*/

/*#region Header*/

#nav-main {
    width: 100%;
    height: 64px;
    max-width: 960px;
    margin: 0px 32px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.sliddes-title-logo {
    display: flex;
}

.sliddes-title a {
    color: var(--color-SLIDDES-dark);
    font-size: 26px;
    font-family: 'Roboto-Medium';
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 2px;
    line-height: 64px;
}

.sliddes-logo {
    width: 48px;
}


#nav-links {

}

    #nav-links a {
        height: 16px;
        line-height: 16px;
        padding: 24px 16px;
        display: inline-block;
        color: var(--color-SLIDDES-dark);
        font-family: 'Roboto-Medium';
        font-size: 14px;
        letter-spacing: 1px;
        text-transform: uppercase;
        text-underline-offset: 6px;
    }

    #nav-links button {
        height: 64px;
        cursor: pointer;
        border: none;
        outline: none;
        padding: 24px 16px;
        background-color: inherit;
        font-family: 'Roboto-Medium';
        font-size: 14px;
        text-transform: uppercase;
    }

        #nav-links button:hover {
            text-decoration: underline;
            text-underline-offset: 6px;
        }
           
    .nav-link-dropdown {
        display: inline-block;
        height: 64px;
    }

    .nav-link-dropdown-content {
        display: none;
        position: absolute;
        z-index: 1;
    }

        .nav-link-dropdown-content a {
            float: none;
            display: block !important;
            background-color: var(--color-SLIDDES-white);
            border-left: 1px solid var(--color-SLIDDES-whitegray);
            border-right: 1px solid var(--color-SLIDDES-whitegray);
        }

            .nav-link-dropdown-content a:last-child {
                border-bottom: 1px solid var(--color-SLIDDES-whitegray);
            }

    #nav-links .show {
        display: block !important;
    }

    #nav-links .arrow {
        margin-bottom: 3px;
        margin-left: 4px;
        border: solid var(--color-SLIDDES-dark);
        border-width: 0 2px 2px 0;
        display: inline-block;
        padding: 3px;
    }

    #nav-links .right {
        transform: rotate(-45deg);
        -webkit-transform: rotate(-45deg);
    }

    #nav-links .left {
        transform: rotate(135deg);
        -webkit-transform: rotate(135deg);
    }

    #nav-links .up {
        transform: rotate(-135deg);
        -webkit-transform: rotate(-135deg);
    }

    #nav-links .down {
        transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
    }

/*#region phone menu*/

.menu-burger {
    display: none;
    cursor: pointer;
    transition: all 0.5s ease-in-out;
    background: url(../images/sliddes/sliddes_icon_more_dark.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 33px;
    width: 48px;
    height: inherit;
}

#nav-phone-menu {
    position: absolute;
    background-color: #222;
    width: calc(100% - 64px);
    height: calc(100vh - 96px);
    z-index: 1;
    top: 80px;
    border-radius: 6px;
}

#nav-phone-dropdown {
    display: none;
    position: absolute;
    background-color: #222;
    width: calc(100% - 64px);
    height: auto;
    z-index: 1;
    top: 80px;
    border-radius: 6px;
}

    #nav-phone-dropdown::after {
        content: "";
        position: absolute;
        bottom: 100%;
        left: 90%;
        margin-left: 8px;
        border-width: 5px;
        border-style: solid;
        border-color: transparent transparent var(--color-222222) transparent;
    }

.nav-phone-dropdown-active {
    display: unset !important;
}

#nav-phone-dropdown-content {
    list-style: none;
    text-align: center;
    padding: 0px;
    margin: 0px;
}

    #nav-phone-dropdown-content li {
        line-height: 48px;
        padding: 0px;
    }

        #nav-phone-dropdown-content li:last-child {
            border-bottom: none;
        }

        #nav-phone-dropdown-content li a {
            color: var(--color-ffffff);
            text-transform: uppercase;
            letter-spacing: 2px;
            display: inline-block;
            width: 100%;
            height: inherit;
            text-decoration: none;
        }

        #nav-phone-dropdown-content li a:hover {
            color: var(--color-222222);
            background-color: var(--color-ffffff);
        }

/*#endregion phone menu*/
@media screen and (max-width: 600px) {
    body {
        overflow-x: hidden;
    }

    #nav-links {
        display: none;
    }

    .menu-burger {
        display: block;
    }
}

/*#region tooltip*/

.tooltip {
    position: relative;
    display: inline-block;
}

    .tooltip .tooltiptext {
        visibility: hidden;
        position: absolute;
        width: 120px;
        background-color: var(--color-222222);
        color: #fff;
        text-align: center;
        padding: 2px 0;
        border-radius: 6px;
        z-index: 1;
        opacity: 0;
        transition: opacity 0.25s;
        transition-delay: 0.25s;
        word-wrap: break-word;
    }

    .tooltip:hover .tooltiptext {
        visibility: visible;
        opacity: 1;
    }

.tooltip-bottom {
    top: 125%;
    left: 50%;
    margin-left: -60px;
}

    .tooltip-bottom::after {
        content: "";
        position: absolute;
        bottom: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: transparent transparent var(--color-222222) transparent;
    }

/*#endregion tooltip*/

/*#endregion Header*/

/*#region ID/ Classes*/

.container {
    height: auto;
    min-height: calc(100vh - 64px);
}

.content-wrap /* Content of the page excluding the footer */ {
    height: auto;
    min-height: calc(100vh - 96px);
}

.button-thinline /* Button with a thin border */ {
    color: #ffffff;
    border: 1px solid #ffffff;
    background: transparent;
    box-sizing: border-box;
    text-align: center;
    width: 180px;
    height: 40px;
    display: inline-block;
    padding: 10px 15px;
    font-size: 0.8rem;
    line-height: 1.1rem;
    letter-spacing: 1px;
    cursor: pointer;
    text-decoration: none;
    transition: all 0.5s ease-in-out;
}

    .button-thinline:hover {
        background-color: #ffffff;
        color: #000000;
        text-decoration: none;
    }

.center /* For horizontal centering */ {
    display: grid;
    place-items: center;
}

.center-center /* Horizontal + vertical centering */ {
    height: 100%;
    display: grid;
    place-items: center;
}

.flex-section /* For flex-grid section */ {
    height: min-content;
    min-height: calc(100vh - 100px);
}

.flex-grid /* For flex 'grids'*/ {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.image-pixel /* For displaying an pixel art image */ {
    image-rendering: -moz-crisp-edges;
    image-rendering: -webkit-crisp-edges;
    image-rendering: pixelated;
    image-rendering: crisp-edges;
}

/*#endregion ID/Classes*/

/*#region Footer*/

footer {
    width: 100%;
    height: min-content;
    color: var(--color-SLIDDES-white);
    background-color: var(--color-SLIDDES-dark);
    font-size: 14px;
    box-sizing: border-box;
    padding: 32px;
}

    footer p {
        margin: 0px;
        color: #6b6b6b;
    }

    footer h2 {
        font-size: 0.9rem;
        color: var(--color-SLIDDES-white);
        margin: 0;
    }

    footer li {
        list-style: none;
    }

    footer ul {
        padding-left: 0px;
        color: #6b6b6b;
        margin: 12px 0 12px 0;
    }

    footer a {
        color: #6b6b6b;
    }

.footer-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 128px;
    row-gap: 16px;
    padding: 0 0 16px 0;
}

#footer-sliddes-title {
    color: var(--color-SLIDDES-white);
    font-size: 26px;
    font-family: 'Roboto-Medium';
    letter-spacing: 2px;
    text-decoration: none;
}

/*#endregion Footer */
